<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="manageFeesForm" class="form-horizontal">
        <div class="row ">
            <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3 gzl-registration-fees-header">
                <h2>#{messages['gazelle.financial.invoice.FeesAmountForArray']}</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-8 col-sm-offset-2 col-md-8 col-md-offset-2 gzl-registration-contract-message">
                <s:div styleClass="gzl-alert gzl-alert-orange">
                    <span>
                        <i class="glyphicon glyphicon-warning-sign" />
                        <h:outputText value="#{messages['gazelle.systems.financial.DroppedSystemsAreNotListedThereTheyWillNotBePart']}"/>
                    </span>
                </s:div>
            </div>
        </div>
        <s:div rendered="#{registrationBeanGui.invoice != null and registrationBeanGui.systemHasAtLeastOneSUT()}">
            <div class="row">
                <div class="col-sm-3 col-sm-offset-1 col col-lg-offset-2 col-lg-2">
                    <h3>#{messages['net.ihe.gazelle.tm.Item']}</h3>
                    <p>#{messages['net.ihe.gazelle.tm.MainSUT']}</p>
                    <p>#{messages['net.ihe.gazelle.tm.AdditionalSUTs']}</p>
                    <p>#{messages['net.ihe.gazelle.tm.AttendeesIncluded']}<b>#{registrationBeanGui.getTotalNumberOfIncludedAttendees()}</b>#{messages['net.ihe.gazelle.tm.InSUTs']}</p>
                    <p>#{messages['net.ihe.gazelle.tm.Discount']}</p>
                    <p>#{messages['gazelle.tm.application.preferences.VATPercent']}</p>
                </div>
                <div class="col-sm-3 col-lg-2">
                    <h3>#{messages['gazelle.tm.application.preferences.UnitPrice']}</h3>
                    <p>#{registrationBeanGui.getMainSUTFees()}</p>
                    <p>#{registrationBeanGui.getAdditionalSUTFee()}</p>
                    <p>#{registrationBeanGui.getParticipationPrice()}</p>
                    <p>#{registrationBeanGui.getTotalDiscountCurrency()}</p>
                    <p>#{registrationBeanGui.getVATPercentage()}</p>
                </div>
                <div class="col-sm-2 col-lg-2">
                    <h3>#{messages['gazelle.tm.application.preferences.NbOfUnit']}</h3>
                    <p>1</p>
                    <p>#{registrationBeanGui.getNumberOfAdditionalSUTs()}</p>
                    <p>#{registrationBeanGui.getNumberOfAdditionalAttendees()}</p>
                    <p>-</p>
                    <p>-</p>
                </div>
                <div class="col-sm-2 col-lg-2">
                    <h3>#{messages['gazelle.systems.financial.Total']}</h3>
                    <p>#{registrationBeanGui.getMainSUTFees()}</p>
                    <p>#{registrationBeanGui.getTotalAdditionalSUTsCurrency()}</p>
                    <p>#{registrationBeanGui.getTotalAdditionalAttendeesCurrency()}</p>
                    <p>#{registrationBeanGui.getTotalDiscountCurrency()}</p>
                    <p>#{registrationBeanGui.getVATAmount()}</p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-offset-6 col-sm-2">
                    <h3>#{messages['gazelle.systems.financial.Total']}: </h3>
                </div>
                <div class="col-sm-2">
                    <h3>#{registrationBeanGui.getTotal()}</h3>
                </div>
            </div>
        </s:div>

        <s:div styleClass="col-sm-offset-1 col-sm-10"
               rendered="#{registrationBeanGui.invoice != null and registrationBeanGui.systemHasAtLeastOneSUT() == false}">
            <h3>#{messages['net.ihe.gazelle.tm.AddAtLeastOneSystemUnderTestToAccessTheContract']}</h3>
        </s:div>
        <s:div styleClass="col-sm-offset-1 col-sm-10"
               rendered="#{registrationBeanGui.invoice == null }">
            <h3>#{messages['gazelle.systems.financial.ContractNotGeneratedYet']}</h3>
        </s:div>
    </h:form>



</ui:composition>

